Skip to main content
GET
Sample funnel

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_date
string
required

Cohort window start, YYYY-MM-DD (UTC) INCLUSIVE.

end_date
string
required

Cohort window end, YYYY-MM-DD (UTC) INCLUSIVE. At most 365 days after start_date.

productId
string

Only this product's sample rows.

targetCollaborationId
string

Only samples attributed to this target collaboration.

organization_id
integer

Use the TikTok Shop of this child brand (organization id) of your API key's organization

Response

{ shopId, window {startDate, endDate}, filters {productId, targetCollaborationId}, cohort, stages: [{ key, count, source: "tts_native", rateFromPrevious, rateFromRequested, timeInStage: { medianHours, p90Hours, rows } | null }], exits: [{ key, count, source: "timer" | "tts_native", rateFromRequested }], byCollabType: { open, target } each { requested, approved, shipped, contentFulfilled }, currentStates: { state: count } }. Rates are fractions (0.6 = 60%) to 4 dp, null when the denominator is 0.